%define qtmajor 5
%define qtminor 4
%define qtsubminor 2

%define rel 1

%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtpositioning %mklibname qt5positioning %qtmajor
%define libqtpositioning_d %mklibname qt5positioning -d
%define libqtpositioning_p_d %mklibname qt5positioning-private  -d


%define libqtlocation %mklibname qt5location %qtmajor
%define libqtlocation_d %mklibname qt5location -d
%define libqtlocation_p_d %mklibname qt5location-private  -d

%define qttarballdir qtlocation-opensource-src-%{qtversion}

Name: qtlocation5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt Location
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL: http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel >= %{version}
BuildRequires: qt5gui-private-devel >= %{version}
BuildRequires: qt5core-private-devel = %{version}
BuildRequires: qtquick5-devel >= %{version}
BuildRequires: qtquick5-private-devel >= %{version}
BuildRequires: qtqml5-devel >= %{version}
BuildRequires: qtqml5-private-devel >= %{version}
BuildRequires: pkgconfig(geoclue)
BuildRequires: pkgconfig(gypsy)
BuildRequires: pkgconfig(gconf-2.0)
#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications for the X
Window System. Qt is written in C++ and is fully object-oriented.

%files 
%{_qt5_prefix}/qml/QtLocation
%_qt5_examplesdir/location
%{_qt5_plugindir}/geoservices

#------------------------------------------------------------------------------

%package -n qtpositioning5
Summary: Qt%{qtmajor} Positioning Component Library
Group: System/Libraries
Requires: %{libqtpositioning} = %{version}
Provides: qt5positioning = %{version}

%description -n qtpositioning5
Qt%{qtmajor} Component Library.

The Positioning module provides positioning information via QML and C++ interfaces.

%files -n qtpositioning5
%{_qt5_prefix}/qml/QtPositioning
%{_qt5_plugindir}/position
%_qt5_examplesdir/qtpositioning

#------------------------------------------------------------------------------

%package -n %{libqtpositioning}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries

%description -n %{libqtpositioning}
Qt%{qtmajor} Component Library.

The Positioning module provides positioning information via QML and C++ interfaces.

%files -n %{libqtpositioning}
%{_qt5_libdir}/libQt5Positioning.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtpositioning_d}
Summary: Devel files needed to build apps based on QtPositioning
Group: Development/KDE and Qt
Requires: %{libqtpositioning} = %version
Provides: libqtpositioning5-devel = %version
Provides: libqt5positioning-devel = %version
Provides: qtpositioning5-devel = %version
Provides: qt5positioning-devel = %version

%description -n %{libqtpositioning_d}
Devel files needed to build apps based on Qt Positioning.

%files -n %{libqtpositioning_d}
%{_qt5_libdir}/libQt5Positioning.prl
%{_qt5_libdir}/libQt5Positioning.so
%{_qt5_libdir}/pkgconfig/Qt5Positioning.pc
%{_qt5_libdir}/cmake/Qt5Positioning
%{_qt5_datadir}/examples/positioning
%{_qt5_datadir}/mkspecs/modules/qt_lib_positioning.pri
%{_qt5_includedir}/QtPositioning
%exclude %{_qt5_includedir}/QtPositioning/%qtversion

#------------------------------------------------------------------------------

%package -n %{libqtpositioning_p_d}
Summary: Devel files needed to build apps based on QtPositioning
Group:    Development/KDE and Qt
Requires: %{libqtpositioning_d} = %version
Provides: libqtpositioning5-private-devel = %version
Provides: libqt5positioning-private-devel = %version
Provides: qtpositioning5-private-devel = %version
Provides: qt5positioning-private-devel = %version

%description -n %{libqtpositioning_p_d}
Devel files needed to build apps based on QtPositioning.

%files -n %{libqtpositioning_p_d}
%{_qt5_includedir}/QtPositioning/%qtversion
%{_qt5_datadir}/mkspecs/modules/qt_lib_positioning_private.pri

#------------------------------------------------------------------------------

%package -n %{libqtlocation}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries

%description -n %{libqtlocation}
Qt%{qtmajor} Component Library.

The Location module provides location information via QML and C++ interfaces.

%files -n %{libqtlocation}
%{_qt5_libdir}/libQt5Location.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtlocation_d}
Summary: Devel files needed to build apps based on QtLocation
Group: Development/KDE and Qt
Requires: %{libqtlocation} = %version
Provides: libqtlocation5-devel = %version
Provides: libqt5location-devel = %version
Provides: qtlocation5-devel = %version
Provides: qt5location-devel = %version

%description -n %{libqtlocation_d}
Devel files needed to build apps based on Qt Location.

%files -n %{libqtlocation_d}
%{_qt5_libdir}/cmake/Qt5Location
%{_qt5_libdir}/libQt5Location.prl
%{_qt5_libdir}/libQt5Location.so
%{_qt5_libdir}/pkgconfig/Qt5Location.pc
%{_qt5_includedir}/QtLocation
%exclude %{_qt5_includedir}/QtLocation/%qtversion
%{_qt5_datadir}/mkspecs/modules/qt_lib_location.pri

#------------------------------------------------------------------------------

%package -n %{libqtlocation_p_d}
Summary: Devel files needed to build apps based on QtLocation
Group:    Development/KDE and Qt
Requires: %{libqtlocation_d} = %version
Provides: libqtlocation5-private-devel = %version
Provides: libqt5location-private-devel = %version
Provides: qtloation5-private-devel = %version
Provides: qt5location-private-devel = %version

%description -n %{libqtlocation_p_d}
Devel files needed to build apps based on QtLocation.

%files -n %{libqtlocation_p_d}
%{_qt5_includedir}/QtLocation/%qtversion
%{_qt5_datadir}/mkspecs/modules/qt_lib_location_private.pri

#------------------------------------------------------------------------------

%prep
%setup -q -n %qttarballdir

%build
%qmake_qt5
%make

#------------------------------------------------------------------------------
%install
make INSTALL_ROOT=$RPM_BUILD_ROOT install

# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la


%changelog
* Wed Jul 01 2015 filipesaraiva <filipesaraiva> 5.4.2-1.mga5
+ Revision: 849341
- Update to Qt 5.4.2;
- Fix URL to new address qt.io;

* Sat Dec 13 2014 neoclust <neoclust> 5.4.0-1.mga5
+ Revision: 802870
- New version 5.4.0

* Sun Dec 07 2014 neoclust <neoclust> 5.3.2-1.mga5
+ Revision: 801808
- New version 5.3.2

* Wed Oct 15 2014 umeabot <umeabot> 5.3.1-3.mga5
+ Revision: 746147
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.3.1-2.mga5
+ Revision: 688549
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 fwang <fwang> 5.3.1-1.mga5
+ Revision: 639782
- 5.3.1

* Tue May 20 2014 fwang <fwang> 5.3.0-1.mga5
+ Revision: 624084
- 5.3.0 final

* Fri May 09 2014 fwang <fwang> 5.3.0-0.rc.1.mga5
+ Revision: 621465
- 5.3.0 rc

* Sun Apr 06 2014 fwang <fwang> 5.3.0-0.beta.1.mga5
+ Revision: 612308
- 5.3.0beta

* Mon Mar 03 2014 neoclust <neoclust> 5.3.0-0.alpha.1.mga5
+ Revision: 598866
- New version 5.3.0-alpha

* Mon Feb 17 2014 fwang <fwang> 5.2.1-3.mga5
+ Revision: 593315
- fix libpkgname

* Mon Feb 17 2014 fwang <fwang> 5.2.1-2.mga5
+ Revision: 593259
- fix provides

* Mon Feb 17 2014 fwang <fwang> 5.2.1-1.mga5
+ Revision: 593238
- update file list
- update file list
- add more br
- add more br
- imported package qtlocation5

